Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.xpath
Class XPath.OrderBy

    java.lang.Object
      org.modeshape.jcr.xpath.XPath.Component
          org.modeshape.jcr.xpath.XPath.OrderBy

All Implemented Interfaces:
  Iterable<XPath.OrderBySpec>

Enclosing class:
  XPath

    public static class XPath.OrderBy

extends XPath.Component
implements Iterable<XPath.OrderBySpec>

Constructor Summary
`XPath.OrderBy(List<XPath.OrderBySpec> orderBySpecifications)`

Method Summary
`XPath.Component` | `collapse()` Return the collapsable form
`boolean` | `equals(Object obj)`
`List<XPath.OrderBySpec>` | `getOrderBySpecifications()`
`Iterator<XPath.OrderBySpec>` | `iterator()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPath.OrderBy

    public XPath.OrderBy(List<XPath.OrderBySpec> orderBySpecifications)

Method Detail

### getOrderBySpecifications

    public List<XPath.OrderBySpec> getOrderBySpecifications()

  Returns:
    the list of order-by specifications; never null

### collapse

    public XPath.Component collapse()

  Return the collapsable form

  Overrides:
    `collapse` in class `XPath.Component`
  Returns:
    the collapsed form of th is component; never null and possibly the same as this
  See Also:
    `XPath.Component.collapse()`

### iterator

    public Iterator<XPath.OrderBySpec> iterator()

  Specified by:
    `iterator` in interface `Iterable<XPath.OrderBySpec>`
  See Also:
    `Iterable.iterator()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.